namespace Micro.Interfaces
{
    public enum TokenKind
    {
        none,
        ident,     // idChar { idChar | digit }
        numberLit, // digit { digit }
        charLit,   // "'" char "'"
        plus,      // "+"
        minus,     // "-"
        eql,       // "="
        neq,       // "#"
        lss,       // "<"
        gtr,       // ">"
        comma,     // ","
        ifKW,      // "if"
        elseKW,    // "else"
        endKW,     // "end"
        callKW,    // "call"
        functionKW,// "function"
        methPar,   // "<-"
        eof
    };
}
